> For the complete documentation index, see [llms.txt](https://docs.hivepress.io/developer-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.hivepress.io/developer-docs/framework/configurations/styles.md).

# Styles

This configuration contains parameters that HivePress uses for loading the CSS styles. Each style is defined as an array of parameters accepted by the [wp\_enqueue\_style](https://developer.wordpress.org/reference/functions/wp_enqueue_style/) function. Also, there's an extra `scope` parameter that accepts the following values:

* **frontend** - for loading styles on the front-end;
* **backend** - for loading styles on the back-end;
* **editor** - for loading styles in the page editor.

You can set a single value or an array of values. If the `scope` parameter is not set, the style will be loaded on the front-end only.

The code example below removes the Font Awesome styles loaded by HivePress. In the same way, you can customize any of the available styles or load a new one by adding an array with the style parameters.

```php
add_filter(
	'hivepress/v1/styles',
	function( $styles ) {
		unset( $styles['fontawesome'] );
		unset( $styles['fontawesome_solid'] );

		return $styles;
	}
);
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.hivepress.io/developer-docs/framework/configurations/styles.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
